declare module BA.Ui.Actions {
    class CommonActions {
        /**
         * Restart the App Pool
         */
        static ClientActionRestartAppPool(event: any, customData: CustomData): void;
        /**
         * Sign out user
         */
        static ClientActionSignOut(event: any, customData: CustomData): void;
        /**
         * Action to open form in the dialog.
         * @param e
         * @param customData
         */
        static OpenFormNewRecord(event: any, customData: CustomData): void;
        /**
         * Action to open form in the dialog readonly.
         * @param e
         * @param customData
         */
        static OpenFormInDialogReadonly(event: any, customData: CustomData): void;
        /**
         * Action to open a dialog.
         * @param e
         * @param customData
         */
        static OpenDialog(event: any, customData: CustomData): void;
        /**
         * Close the current tab
         * @param s
         * @param e
         */
        static ClientActionCloseTab(event: any, customData: CustomData): void;
        /**
         * Cancel, set tab as clear and close
         */
        static ClientActionCancelTab(event: any, customData: CustomData): void;
        static ClientActionOfflineShowConfiguration(): void;
        static ClientActionOfflineSync(): void;
        /**
         * Opens the dialog showing the record collections visible to the current user
         */
        static OpenRecordCollectionsList(event: any, customData: CustomData): void;
        static ClientActionUser(event: any, customData: CustomData): void;
        static ClientActionUserSettings(event: any, customData: CustomData): void;
        static ClientActionUserAdd(event: any, customData: CustomData): void;
        static ClientActionConfigureUserDirectory(event: any, customData: CustomData): void;
        /**
         * Client action to remove an associated external directory group from a selected role.
         *
         * @param event event
         * @param customData customData
         */
        static ClientActionRemoveDirectoryGroupFromRole(event: any, customData: CustomData): void;
    }
}
