declare module BA.Ui.TabController {
    class Tab {
        private _Title;
        private _Icon;
        private _IconPrefix;
        private _IconDarkSuffix;
        private _IconLightSuffix;
        private _DefaultIcon;
        private _Url;
        private _TabReference;
        private _IsLoaded;
        private _Guid;
        private _IframeName;
        private _Owner;
        private _CanClose;
        private _Dirty;
        private _IsDelayed;
        private _TimeoutId;
        private _PreviousTab;
        private _OpenBehaviorModel;
        private _AutoRefresh;
        private _ForcedAutoRefresh;
        private _iframeElement;
        IsMassOperationTab: Boolean;
        MassOperationWorkItemId: string;
        TabProcessId: string;
        AdditionalData: any;
        constructor(owner: Controller, url: string, tabReference: string, title: string, icon: string, guid: BA.Classes.Guid, delayLoading?: boolean, canClose?: boolean, showAnimation?: boolean);
        readonly TabHTMLString: string;
        SetOverflowMaxHeight(height: string): void;
        Activate(): void;
        ExecuteAutoRefresh(): void;
        UpdateInternalTabBar(): void;
        Deactivate(): void;
        Remove(): void;
        SetEventHandlersForTab(tab: JQuery): void;
        Title: string;
        Icon: string;
        readonly Url: string;
        UpdateUrl(url: string): void;
        readonly TabReference: string;
        UpdateReference(ref: string): void;
        readonly IFrameName: string;
        IsLoaded: boolean;
        Guid: BA.Classes.Guid;
        readonly Owner: Controller;
        CanClose: boolean;
        readonly ShowAllowed: boolean;
        Dirty: boolean;
        PreviousTab: Tab;
        AutoRefresh: boolean;
        ForcedAutoRefresh: boolean;
        UpdateDocumentParts(keys: string[]): void;
        GetTitle(): string;
        UpdateTitle(): void;
        UpdateIcon(): void;
        LoadDelayed(): void;
        FullRefresh(): void;
        readonly Delayed: boolean;
        ResetAfterLogin(): void;
        HandleOpenBehavior(): void;
        private StartTimeout;
        private CancelTimeout;
        private ShowFatalError;
    }
}
